CREATE DATABASE IF NOT EXISTS sevenkeys;

USE sevenkeys;

CREATE TABLE IF NOT EXISTS Gamepiece (
	Id INT AUTO_INCREMENT PRIMARY KEY,
	Name VARCHAR(150) NOT NULL
);

CREATE TABLE IF NOT EXISTS CardPrinting (
	Id INT AUTO_INCREMENT PRIMARY KEY,
	GamepieceId INT NOT NULL,
	FOREIGN KEY (GamepieceId) REFERENCES Gamepiece(Id),
	SetId VARCHAR(6) NOT NULL,
	FrontFaceImageUrl VARCHAR(2048) NOT NULL,
	BackFaceImageUrl VARCHAR(2048) NOT NULL
);
